Bug 1129743 - CVE-2014-5119 glibc: out-of-bounds NUL write in iconv_open
Summary: CVE-2014-5119 glibc: out-of-bounds NUL write in iconv_open
Keywords:
Status: CLOSED DUPLICATE of bug 1119128
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140721,reported=2...
Depends On:
Blocks: 1129744
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:00 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 01:28:41 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-08-13 15:00:02 UTC
It was reported that iconv_open mishandles // transliteration specifiers [1]:

http://www.openwall.com/lists/oss-security/2014/07/14/1

The cause is in __gconv_translit_find:

	      cp = __mempcpy (__stpcpy ((char *) newp->fname, runp->name),
			      trans->name, name_len);
	      if (need_so)
		memcpy (cp, ".so", sizeof (".so"));

cp points *after* the NUL terminator, so the memcpy call does not actually append ".so", but copies four bytes starting after the terminating NUL character, not changing the string at all—and writing a single NUL byte after the end of the buffer.

[1]: https://sourceware.org/bugzilla/show_bug.cgi?id=17187

Comment 1 Vasyl Kaigorodov 2014-08-13 15:02:35 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1129745]

Comment 3 Murray McAllister 2014-08-15 01:28:41 UTC

*** This bug has been marked as a duplicate of bug 1119128 ***


Note You need to log in before you can comment on or make changes to this bug.